BugTraq
Newsportal: code injection vulnerability May 16 2006 02:10PM
newsportal florian-amrhein de
Hello,

there is a code injection vulnerability in NewsPortal that could give everyone the ability to execute php code on the webserver where newsportal is installed.

This bug should only occur if "register_globals=on" is set in the php.ini.

To remove the problem:

- install the recent version: http://florian-amrhein.de/nw/newsportal/download/newsportal-0.37.tar.gz (it also removes some minor bugs, and a cross site scripting security hole)

- or delete extras/extras/poll/poll.php

Florian Amrhein.

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus